## Description

perform linear spherical deconvolution.

Note that this program makes use of implied symmetries in the diffusion profile. First, the fact the signal attenuation profile is real implies that it has conjugate symmetry, i.e. Y(l,-m) = Y(l,m)* (where * denotes the complex conjugate). Second, the diffusion profile should be antipodally symmetric (i.e. S(x) = S(-x)), implying that all odd l components should be zero. Therefore, this program only computes the even elements.

Note that the spherical harmonics equations used here differ slightly from those conventionally used, in that the (-1)^m factor has been omitted. This should be taken into account in all subsequent calculations.

Each volume in the output image corresponds to a different spherical harmonic component, according to the following convention:

[0] Y(0,0)

[1] Im {Y(2,2)}

[2] Im {Y(2,1)}

[3] Y(2,0)

[4] Re {Y(2,1)}

[5] Re {Y(2,2)}

[6] Im {Y(4,4)}

[7] Im {Y(4,3)}

etc...

syntax: sdeconv [ options ] dwi response SH

## Arguments

dwi | the input diffusion-weighted image.
response | the diffusion-weighted signal response function for a single fibre population.
SH | the output spherical harmonics coefficients image.

## Options

-grad encoding

specify the diffusion-weighted gradient scheme used in the acquisition. The program will normally attempt to use the encoding stored in image header.

encoding | the gradient encoding, supplied as a 4xN text file with each line is in the format [ X Y Z b ], where [ X Y Z ] describe the direction of the applied gradient, and b gives the b-value in units (1000 s/mm^2).

-lmax order

set the maximum harmonic order for the output series. By default, the program will use the highest possible lmax given the number of diffusion-weighted images.

order | the maximum harmonic order to use.

-mask image

only perform computation within the specified binary brain mask image.

image | the mask image to use.

-filter spec

apply the linear frequency filtering parameters specified to the spherical deconvolution.

spec | a text file containing the filtering coefficients for each even harmonic order.

-normalise | normalise the DW signal to the b=0 image
-info | display information messages.
-quiet | do not display information messages or progress status.
-debug | display debugging messages.
-help | display this information page and exit.
-version | display version information and exit.